Package org.apache.commons.fileupload2.javax

# Class JavaxServletFileUploadTest

java.lang.Object
org.apache.commons.fileupload2.core.AbstractFileUploadWrapper<org.apache.commons.fileupload2.javax.JavaxServletFileUpload<DiskFileItem,DiskFileItemFactory>,javax.servlet.http.HttpServletRequest,DiskFileItem,DiskFileItemFactory>
org.apache.commons.fileupload2.core.AbstractFileUploadTest<org.apache.commons.fileupload2.javax.JavaxServletFileUpload<DiskFileItem,DiskFileItemFactory>,javax.servlet.http.HttpServletRequest,DiskFileItem,DiskFileItemFactory>
org.apache.commons.fileupload2.javax.JavaxServletFileUploadTest

public class JavaxServletFileUploadTest extends AbstractFileUploadTest<org.apache.commons.fileupload2.javax.JavaxServletFileUpload<DiskFileItem,DiskFileItemFactory>,javax.servlet.http.HttpServletRequest,DiskFileItem,DiskFileItemFactory>
Tests `JavaxServletFileUpload`.

See Also:
  - `AbstractFileUploadTest`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.fileupload2.core.AbstractFileUploadWrapper

  `upload`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaxServletFileUploadTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DiskFileItem>`
  `parseUpload(org.apache.commons.fileupload2.javax.JavaxServletFileUpload<DiskFileItem,DiskFileItemFactory> upload, byte[] bytes, String contentType)`
  `void`
  `testFileUpload()`
  Runs a test with varying file sizes.
  `void`
  `testParseImpliedUtf8()`
  `void`
  `testParseParameterMap()`

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractFileUploadTest

  `testContentTypeAttachment, testEmptyFile, testFileNameCaseSensitivity, testFileUpload130, testFILEUPLOAD62, testFoldedHeaders, testIE5MacBug`

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractFileUploadWrapper

  `parseUpload, parseUpload`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaxServletFileUploadTest

    public JavaxServletFileUploadTest()

- ## Method Details

  - ### parseUpload

    public List<DiskFileItem> parseUpload(org.apache.commons.fileupload2.javax.JavaxServletFileUpload<DiskFileItem,DiskFileItemFactory> upload, byte[] bytes, String contentType) throws FileUploadException
    Specified by:
      `parseUpload` in class `AbstractFileUploadWrapper<org.apache.commons.fileupload2.javax.JavaxServletFileUpload<DiskFileItem,DiskFileItemFactory>,javax.servlet.http.HttpServletRequest,DiskFileItem,DiskFileItemFactory>`
    Throws:
      `FileUploadException`

  - ### testFileUpload

    @Test public void testFileUpload() throws IOException, FileUploadException
    Runs a test with varying file sizes.
    Overrides:
      `testFileUpload` in class `AbstractFileUploadTest<org.apache.commons.fileupload2.javax.JavaxServletFileUpload<DiskFileItem,DiskFileItemFactory>,javax.servlet.http.HttpServletRequest,DiskFileItem,DiskFileItemFactory>`
    Throws:
      `IOException`
      `FileUploadException`

  - ### testParseImpliedUtf8

    @Test public void testParseImpliedUtf8() throws Exception
    Throws:
      `Exception`

  - ### testParseParameterMap

    @Test public void testParseParameterMap() throws Exception
    Throws:
      `Exception`